file(GLOB FILELIST
# src/diskio.c
src/ff.c
# src/option/ccsbcs.c
)

add_library(fatfs STATIC ${FILELIST})
target_include_directories(fatfs PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/inc)
target_include_directories(fatfs PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/../../driver/sdcard)

target_link_libraries(fatfs driver)
